aboutsummaryrefslogtreecommitdiffstats
path: root/main/perl/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2012-01-31 15:39:56 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2012-01-31 15:39:56 +0000
commit0b434eb040355be01914d86b8f17181272b34c64 (patch)
tree48e1a0ef16ed1fffebae8e01c736293113fe93f2 /main/perl/APKBUILD
parent7f86ba850e915b7a078f124d1ab6ecfb206bd9e6 (diff)
downloadaports-0b434eb040355be01914d86b8f17181272b34c64.tar.bz2
aports-0b434eb040355be01914d86b8f17181272b34c64.tar.xz
main/perl: upgrade to 5.12.4 and security fixes (CVE-2011-2939, CVE-2011-3597)
fixes #975
Diffstat (limited to 'main/perl/APKBUILD')
-rw-r--r--main/perl/APKBUILD17
1 files changed, 14 insertions, 3 deletions
diff --git a/main/perl/APKBUILD b/main/perl/APKBUILD
index 650c3cfa70..6b5258243d 100644
--- a/main/perl/APKBUILD
+++ b/main/perl/APKBUILD
@@ -1,13 +1,17 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
# Contributor: Leonardo Arena <rnalrd@gmail.com>
pkgname=perl
-pkgver=5.12.3
+pkgver=5.12.4
pkgrel=0
pkgdesc="Larry Wall's Practical Extraction and Report Language"
url=http://www.perl.org
arch="all"
license="Artistic GPL-2"
-source=http://www.perl.com/CPAN/src/perl-${pkgver}.tar.gz
+source="http://www.perl.com/CPAN/src/perl-${pkgver}.tar.gz
+ CVE-2011-2939.patch
+ CVE-2011-3597.patch
+ "
+
depends=
subpackages="$pkgname-dev $pkgname-doc miniperl"
@@ -15,6 +19,11 @@ _builddir="$srcdir/$pkgname-$pkgver"
prepare() {
cd $_builddir
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
sed -i -e 's/less -R/less/g' ./Configure
sed -i -e 's/libswanted="\(.*\) nsl\(.*\)"/libswanted="\1\2"/g' ./Configure
}
@@ -65,4 +74,6 @@ miniperl() {
cp "$srcdir/perl-$pkgver"/miniperl "$subpkgdir/usr/bin"
}
-md5sums="29975a69dce54e47fcd6331c085c6c99 perl-5.12.3.tar.gz"
+md5sums="fd22aba88e4e27ab879f142eec6452a0 perl-5.12.4.tar.gz
+c0674ead60e89c20e2c8d9bbc2d7683a CVE-2011-2939.patch
+0212067da7d533fe3939c0984cad4243 CVE-2011-3597.patch"